Page MenuHomePhabricator

Make ar_parent_id visible through the API
Closed, ResolvedPublic

Description

The list=alldeletedrevisions and prop=deletedrevisions API modules should show the ar_parent_id value, just like list=allrevisions and prop=revisions show the rev_parent_id value.

Event Timeline

Lahwaacz created this task.Dec 20 2017, 3:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2017, 3:17 PM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Dec 21 2017, 2:37 PM

MediaWiki 1.33.1 seems to provide non-zero "parentid" in these API queries.

Restricted Application added a project: Core Platform Team. · View Herald TranscriptDec 15 2019, 2:49 PM
Lahwaacz closed this task as Resolved.Dec 15 2019, 2:49 PM